Bug 1165553

Summary: czmq: Please build against zeromq-4
Product: [Fedora] Fedora Reporter: Thomas Spura <tomspur>
Component: czmqAssignee: Jose Pedro Oliveira <jose.p.oliveira.oss>
Status: CLOSED RAWHIDE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: rawhideCC: jose.p.oliveira.oss
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: czmq-2.2.0-3.fc22 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2015-02-21 12:15:23 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On:    
Bug Blocks: 1045884    

Description Thomas Spura 2014-11-19 07:55:33 UTC
Please rebuild against the zeromq package, which now contains the version 4 of zeromq.

I intent to retire zeromq3, once all dependencies have been ported to zeromq-4.

Comment 1 Thomas Spura 2015-02-04 10:56:32 UTC
Could this be done please?
According to upstream [1], the 4.x series is supported:
"Supports libzmq v2.x, v3.x, and v4.x."

[1] http://czmq.zeromq.org/

Comment 2 Jose Pedro Oliveira 2015-02-21 00:04:53 UTC
Thomas,

I've update czmq to version 2.2.0 and as of release 3 (czmq-2.2.0-3) it is built against ZeroMQ v4.

 * czmq-2.2.0-3.fc23 - http://koji.fedoraproject.org/koji/buildinfo?buildID=613514
 * czmq-2.2.0-3.fc22 - http://koji.fedoraproject.org/koji/buildinfo?buildID=613515

/jpo

Comment 3 Thomas Spura 2015-02-21 12:15:23 UTC
Great, thanks!